xoops forums

Mamba

Moderator
Posted on: 2015/4/23 18:03
Mamba
Mamba (Show more)
Moderator
Posts: 10993
Since: 2004/4/23
#1

PHP 7 coming soon! And XOOPS will be ready!

In case you didn't hear yet - PHP 7 is coming soon (release planned for October), and it will provide a major performance improvements, in many cases up to 100%

You can read more in this "Info World" article

As mentioned in another article, the performance improvements are very impressive:

Quote:
For example, the PHP team ran the WordPress CMS on phpng, and it resulted in a drop from 27 seconds to 18 seconds for 100 requests. The number of machine instructions went from 9.4 billion down to 4.99 billion. "This is a real-world app running real-world PHP and starting to see very dramatic improvements," Gutmans said

Of course, XOOPS users will be asking: "What about us? Will XOOPS run on PHP 7?"

Absolutely!

As you might remember, XOOPS was one of the first major CMS solutions that was certified for PHP 5.5, and the current version runs without any problems on PHP 5.6. And as the creator of PHP said recently, as it was quoted in the first article:
Quote:
"Lerdorf also warned that the upgrade also deprecates some PHP 4 functions: "Chances are pretty good if your code is from 12 years ago, it will probably break under PHP 7. If it works under PHP 5, you should be fine."

Since XOOPS runs cleanly under PHP 5.6.8 on my PC, our users will have no problems. But Richard, our Core Team leader, is already looking at PHP 7, to fully certify the upcoming XOOPS 2.6.0 for PHP 7. The XOOPS Team, as always, is fully committed to maintain XOOPS up to date with latest PHP developments, so you as our users, can be assured that with XOOPS there is always a solid migration path for you into the future!

FYI: the future XOOPS versions will have PHP 5.4 as the minimum requirement.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

redheadedrod

Home away from home
Posted on: 2015/4/23 22:00
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#2

Re: PHP 7 coming soon! And XOOPS will be ready!

So they are skipping right over PHP6?

Richard has been doing some mad coding lately... Lots of new updates...

Yurdal

Friend of XOOPS
Posted on: 2015/4/24 22:23
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 367
Since: 2005/3/27
#3

Re: PHP 7 coming soon! And XOOPS will be ready!

Nice to hear :)

Mamba

Moderator
Posted on: 2015/7/15 6:00
Mamba
Mamba (Show more)
Moderator
Posts: 10993
Since: 2004/4/23
#4

Re: PHP 7 coming soon! And XOOPS will be ready!

Another good article about PHP7:

'Lightning-fast' PHP 7 speeds to beta

Nice quote from there:
Quote:
Version 7.0.0 also uses "about two-thirds of the memory (than it did previously), which means you may often get three times the throughput as PHP 5.6," said Andi Gutmans, CEO of PHP tools vendor Zend Technologies, in an email. Equipped with a new version of the Zend Engine, the core scripting engine for PHP, version 7.0.0 is as much as twice as fast as PHP 5.6, according to php.net. Recently, PHP founder Rasmus Lerdorf positioned the upgrade as a "green" option that reduces the need for server deployment

So the future looks good!

Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 2016/1/26 21:32
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#5

Re: PHP 7 coming soon! And XOOPS will be ready! Is it now ?

I installed Wampserver 3.0 with php 5.6.16, php 7.0.0 and php 7.0.2 and copied my 2.5.7.2 website to this server.

5.6.16: works well

7.0.0 and 7.0.2 generate errors: first a Xoops message with the Xoops logo:

Error mysql extension not loaded


Second: 4 deprecations:

( ! ) DeprecatedMethods with the same name as their class will not be constructors in a future version of PHPXoopsPreload has a deprecated constructor in C:wampwwwhttpdocsclasspreload.php on line 40

( ! ) DeprecatedMethods with the same name as their class will not be constructors in a future version of PHPXoopsPreloadItem has a deprecated constructor in C:wampwwwhttpdocsclasspreload.php on line 158

( ! ) DeprecatedMethods with the same name as their class will not be constructors in a future version of PHPxos_kernel_Xoops2 has a deprecated constructor in C:wampwwwhttpdocsclassxoopskernel.php on line 27

( ! ) DeprecatedMethods with the same name as their class will not be constructors in a future version of PHPXoopsSecurity has a deprecated constructor in C:wampwwwhttpdocsclassxoopssecurity.php on line 24


Can this easily be solved or should I wait for a future Xoops-release ? My provider wants to switch to php 7 !

SMEDrieben

Mamba

Moderator
Posted on: 2016/1/27 5:07
Mamba
Mamba (Show more)
Moderator
Posts: 10993
Since: 2004/4/23
#6

Re: PHP 7 coming soon! And XOOPS will be ready! Is it now ?

XOOPS 2.5.x series will NOT work on PHP7 because of the mysql extension.

We could switch to PDO, but it would take too much time, and that's what XOOPS 2.6.x series will be certified for.

I would be shocked if any of the provider would switch to PHP 7 without also providing the option for PHP PHP 5.5 or PHP 5.6. There are way too many programs that are not ready for PHP 7.

And PHP 5.6 will be maintained for many years to come, so for the existing users of XOOPS 2.5.x there will be no problem, if they want continue with it.

But I hope, all of them will switch in the future to XOOPS 2.6.0 and move to PHP 7
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

redheadedrod

Home away from home
Posted on: 2016/1/29 3:51
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#7

Re: PHP 7 coming soon! And XOOPS will be ready! Is it now ?

This is not entirely true... There is a MySQLi compatible database connector that I did a while back that will be compatible.

There is a chance some modules if written poorly will clash with MySQLi but they should be simple fixes.

Only way to know for sure is to try it out. I know after I wrote it some people tried it and it seemed to work fine with anything tried..

So there IS another option to keep you going until 2.6 is available...

MySQLi is the supported driver that has replaced the MySQL driver...

Rodney

Mamba

Moderator
Posted on: 2016/1/29 17:01
Mamba
Mamba (Show more)
Moderator
Posts: 10993
Since: 2004/4/23
#8

Re: PHP 7 coming soon! And XOOPS will be ready! Is it now ?

Quote:
So there IS another option to keep you going until 2.6 is available...

I didn't say that there is no option, but that we don't have the resources to do it!

But if YOU (or somebody else) are willing to do it and provide the solution - let's make it happen!

Everybody: In the meantime, please help us with XOOPS 2.6.0 development and testing!
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

redheadedrod

Home away from home
Posted on: 2016/2/1 2:42
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#9

Re: PHP 7 coming soon! And XOOPS will be ready!

Wish I could help but I am swamped with school right now...

Rodney

SMEDrieben

Not too shy to talk
Posted on: 2016/2/8 16:06
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#10

Re: PHP 7 coming soon! And XOOPS will be ready! Is it now ?

Thanks ! My ISP has read this thread and, thereafter, decided to upgrade tot php 5.6, and not 7 !

SMEDrieben